apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{ .Values.global.ingress.name }}
  namespace: {{ .Values.namespace.collabora }}
  annotations:
    nginx.ingress.kubernetes.io/upstream-hash-by: "$arg_WOPISrc"
    {{- if .Values.global.ingress.annotations }}
    {{- toYaml .Values.global.ingress.annotations | nindent 4 }}
    {{- end }}
spec:
  rules:
  - host: {{ .Values.hosts.host }}
    http:
      paths:
      - path: {{ .Values.global.ingress.path | quote }}
        pathType: {{ .Values.global.ingress.pathType | quote }}
        backend:
          service:
            name: {{ .Values.global.app.service.name }}
            port:
              number: 9980
{{- if .Values.global.ingress.tls }}
  tls:
    {{ toYaml .Values.global.ingress.tls | nindent 4 }}
{{- end -}}
